<?php
	$topdir = '..';
	require $topdir."/dacode.php3";

	$user = LoadClass('User');
	$admin = LoadClass('Admin');

	if (!($user->checked && ($user->level&pow(2,22)))) {
		echo lecho("you bad boy...");
		exit;
	}

	if($admin->do_add_topic($table)) {
		header("Location: ".$config->basehref."/admin/?action=edit_topics");
	}

?>
